# STTA Rev. 1.3 Copyright (c) 2001-2004 Jesús Pérez Lorenzo  --- license GNU GPL 
# stta: (@#) 1.31051043346- [2004_01_29_102036]
# ou.pl for STTA 
 
if ($access{'addou'} && $config{'is_masterHost'} eq "true" ){
        if ($interface eq "tabs" ) {
	    print "<td valign=center align=Center $tb><font color='$revtext'>\n";
        } else {
      	    print "<td valign=top align=Center >\n";
        }
        if ($out_titles eq 1 ) {
	    print "<h3>$text{'index_ou'}</h3>\n</font>";
        }
        if ($interface eq "tabs" ) { print "</td>\n" };
        @olinks=();
        if ( $ldap_ok eq true || $config{has_ldapusers} ne "true" ){
             push(@olinks,"tta_addou.cgi");
             push(@olinks, "tta_modou.cgi");
             push(@olinks, "tta_delou.cgi");
             push(@olinks, "tta_mvou.cgi");
             push(@olinks,"tta_loadous.cgi");
        }
        @otitles = map { /^tta_(\S+).cgi/; $text{$1."_title"} } @olinks;
        @oicons = map { /^tta_(\S+).cgi/; "images/$1.gif"; } @olinks;
        if ($interface eq "tabs" ) {
               &outicons_table;
        } else { 
               &icons_table(\@olinks, \@otitles, \@oicons);
        }
}
